#!/bin/sh

cat <<EOF
%define name omta
%define version ${1}
%define release 1
%define builddir $RPM_BUILD_DIR/%{name}-%{version}
Name:		%{name}
Version:	%{version}
Release:	%{release}
Vendor:		Wouter Coene <wottie@dds.nl>
Packager:	Rob Funk <funk+@osu.edu>
URL:		http://huizen.dds.nl/~wottie/omta/
Source:		%{name}-%{version}.tar.gz
Group:		System Environment/Daemons
Copyright:	GPL
Provides:	smtpdaemon
BuildRoot:	/var/tmp/%{name}-%{version}
Summary:	Small queueing SMTP relayer

%description
OMTA is an SMTP server tool wich allows people who have a dialup
connection to queue their mail on their hard disk, and send it
to their SMTP server whenever they are online.

OMTA has the following features: 
* Works transparently by simulating SENDMAIL. 
* Can relay messages to another SMTP server. 
* It can also deliver local mail (trough procmail or similar). 
* Has built-in SMTP server for the local machine. 
* Users can (safely!) set their own private configuration,
  including From address.
* Built around the K.I.S.S. principle ("Keep It Simple, Stupid!") 

%prep
%setup -q

%build
CFLAGS="$RPM_OPT_FLAGS" LDFLAGS="-s"
export CFLAGS LDFLAGS
./configure --prefix=/usr --sysconfdir=/etc
make

%install
if [ -d \$RPM_BUILD_ROOT ]; then rm -rf \$RPM_BUILD_ROOT; fi
make install prefix=\$RPM_BUILD_ROOT/usr sysconfdir=\$RPM_BUILD_ROOT/etc

%clean
rm -rf \$RPM_BUILD_ROOT

%files
%defattr (644, root, root, 755)
%doc README AUTHORS COPYING THANKS CHANGES omta.conf.dist
%defattr (644, root, man)
%defattr (755, root, root) /usr/bin/omta
EOF
