#!/bin/sh

name="omta"
title="OMTA"
package="omta"
version="0.51"
build="1"
noarch="n"
build_info="Standard build."

info="Offline Mail Tranfer Agent."
desc="OMTA is an SMTP server tool wich allows people who have
a dialup connection to queue their mail on their harddisk,
and send it to their SMTP server whenever they are online.
It is also a great tool for people having a permament
connection and MUAs that can't speak SMTP."
category="net/server/smtp"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="AUTHORS,CHANGES,COPYING,FAQ,INSTALL,README*,UPGRADE*,VERSION"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://www.intersec.pl/~swiergot/$name-$version.tar.gz

apply_patch omta-darkstar.pw.patch

configure_option --prefix=/usr
configure_option --with-queuepath=/var/spool/omta

install_option DESTDIR=$pkg_main

change_own main var/spool/omta .mail
change_mod main var/spool/omta 770
change_own main usr/bin/omta .mail
change_mod main usr/bin/omta g+s

parent_package="$package"
write_info main

cd $src1

do_configure
do_make
do_install

make DESTDIR=$pkg_main install-etrnquery

mkdir -p $pkg_main/var/spool/omta

copy omta.conf.dist $pkg_main/etc omta.conf.new

make_docs

make_package main

clean_up

# $Log: omta.builder,v $
# Revision 1.8  2002/12/29 09:21:23  swiergot
# - Build 1.
#
# Revision 1.7  2002/12/29 09:15:25  swiergot
# - In script.postinst, move, not copy, configuration file.
#
# Revision 1.6  2002/12/28 23:57:36  swiergot
# - Place configuration file in omta.conf.new, not omta.conf.
# - Added script.postinst to handle configuration file properly.
#
# Revision 1.5  2002/12/28 23:45:45  swiergot
# - Copy configuration file in the right place.
# - Run "make install-etrnquery".
#
# Revision 1.4  2002/12/28 23:33:24  swiergot
# - Added a darkstar patch to set Slackware-style host and domain in
#   configuration file.
#
# Revision 1.3  2002/12/28 22:49:59  swiergot
# - Make directory var/spool/omta in the package. Chown it .mail and chmod
#   770.
# - Chown usr/bin/omta .mail and chmod g+s.
#
# Revision 1.2  2002/12/28 17:19:43  swiergot
# - Added configure_option for --with-queuepath=/var/spool/omta.
#
# Revision 1.1  2002/12/28 17:11:42  swiergot
# - Initial release.
# - Version 0.51.
#
